/*
 * Funambol is a mobile platform developed by Funambol, Inc.
 * Copyright (C) 2008 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 *
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 */

package br.com.prognus.psync;

import com.funambol.framework.engine.source.*;

import com.funambol.framework.engine.SyncItem;
import com.funambol.framework.engine.SyncItemKey;
import com.funambol.framework.engine.source.*;


/**
 * This is a simple MergeableSyncSource prototype. It implements the methods 
 * required by the MergeableSyncSource interface. A mergeable SyncSource is a
 * sync source where conflicts are resolved when possible merging the data
 * received by the server with the data retrieved by the data store.
 *
 */
public class MyMergeableSyncSource extends MySyncSource
    implements MergeableSyncSource {

    // --------------------------------------------------------------- Constants

    // ------------------------------------------------------------ Private data
    
    // -------------------------------------------------------------- Properties

    // ------------------------------------------------------------ Constructors

    public MyMergeableSyncSource() {
    }

    // ---------------------------------------------------------- Public Methods

    /**
     * Merges server item and client item.
     *
     * @param key the item's key on the server
     * @param clientItem the item on the client
     *
     * @throws SyncSourceException
     *
     * @return true is the content of the client item is changed
     */
    public boolean mergeSyncItems(SyncItemKey key,
                                  SyncItem    clientItem) 
    throws SyncSourceException {
        //
        // Put here your code to merge the item in the data store with the
        // item received by the client
        //
        log.info("mergeSyncItems()");
        return false;
    }

}
